/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#include <rpc/types.h>

#define CS_MAXDATA 8192
#define CS_FHSIZE 32
#define CS_MAXPATHLEN 1024
#define CS_MAXNAMLEN 255
#define CS_MAXHOSTLEN 64

enum cs_stat {
	CS_OK = 0,
	CS_BULK = 201,
	CS_WAIT = 202,
	CSERR_NOENT = 2,
	CSERR_ACCES = 13,
	CSERR_NOTDIR = 20,
	CSERR_ISDIR = 21,
	CSERR_FBIG = 27,
	CSERR_NOSPC = 28,
	CSERR_ROFS = 30,
	CSERR_STALE = 70,
	CSERR_OTHER = 100,
	CSERR_ALREADY = 101,
	CSERR_PROTO = 102,
	CSERR_NDOWN = 103,
	CSERR_NUNREACH = 104,
	CSERR_XABORT = 105,
	CSERR_TIMEOUT = 106,
	CSERR_REFUSED = 107,
	CSERR_HDOWN = 108,
	CSERR_HUNREACH = 109,
	CSERR_NQUOT = 110,
};
typedef enum cs_stat cs_stat;
bool_t xdr_cs_stat();
#ifndef NFS_FH_DEFINED

struct nfs_fh {
	char data[CS_FHSIZE];
};
typedef struct nfs_fh nfs_fh;
bool_t xdr_nfs_fh();

typedef char *filename;
bool_t xdr_filename();

typedef char *nfspath;
bool_t xdr_nfspath();

struct nfstime {
	u_int seconds;
	u_int useconds;
};
typedef struct nfstime nfstime;
bool_t xdr_nfstime();

enum ftype {
	NFNON = 0,
	NFREG = 1,
	NFDIR = 2,
	NFBLK = 3,
	NFCHR = 4,
	NFLNK = 5,
	NFSOCK = 6,
	NFBAD = 7,
	NFFIFO = 8,
};
typedef enum ftype ftype;
bool_t xdr_ftype();

struct fattr {
	ftype type;
	u_int mode;
	u_int nlink;
	u_int uid;
	u_int gid;
	u_int size;
	u_int blocksize;
	u_int rdev;
	u_int blocks;
	u_int fsid;
	u_int fileid;
	nfstime atime;
	nfstime mtime;
	nfstime ctime;
};
typedef struct fattr fattr;
bool_t xdr_fattr();
#define NFS_FH_DEFINED
#endif

struct cs_fhres {
	cs_stat status;
	union {
		nfs_fh file;
		long err_context;
	} cs_fhres_u;
};
typedef struct cs_fhres cs_fhres;
bool_t xdr_cs_fhres();

struct cs_res {
	cs_stat status;
	union {
		long err_context;
	} cs_res_u;
};
typedef struct cs_res cs_res;
bool_t xdr_cs_res();

typedef char *volname;
bool_t xdr_volname();

struct cs_volargs {
	volname vol;
};
typedef struct cs_volargs cs_volargs;
bool_t xdr_cs_volargs();

struct cs_volokres {
	long volume_id;
	long bytes_to_server;
	long bytes_from_server;
	long bytes_to_client;
	long bytes_from_client;
	long n_request_readdir;
	long n_request_lookup;
	long n_request_read;
	long n_request_readdir_miss;
	long n_request_lookup_miss;
	long n_request_read_miss;
};
typedef struct cs_volokres cs_volokres;
bool_t xdr_cs_volokres();

struct cs_volres {
	cs_stat status;
	union {
		cs_volokres volok;
		long err_context;
	} cs_volres_u;
};
typedef struct cs_volres cs_volres;
bool_t xdr_cs_volres();

struct cs_xferent {
	int status;
	int uid;
	int gid;
	long ip_address;
	long bytes;
	int idle;
	struct {
		u_int server_len;
		char *server_val;
	} server;
};
typedef struct cs_xferent cs_xferent;
bool_t xdr_cs_xferent();

struct cs_xferres {
	cs_stat status;
	union {
		cs_xferent xfer;
		long err_context;
	} cs_xferres_u;
};
typedef struct cs_xferres cs_xferres;
bool_t xdr_cs_xferres();

struct cs_udaargs {
	nfs_fh file;
	char *attrname;
};
typedef struct cs_udaargs cs_udaargs;
bool_t xdr_cs_udaargs();

struct cs_udares {
	cs_stat status;
	union {
		struct {
			u_int attr_len;
			char *attr_val;
		} attr;
		long err_context;
	} cs_udares_u;
};
typedef struct cs_udares cs_udares;
bool_t xdr_cs_udares();

struct cs_diropargs {
	nfspath pname;
	filename fname;
};
typedef struct cs_diropargs cs_diropargs;
bool_t xdr_cs_diropargs();

struct cs_diropokres {
	nfs_fh file;
	fattr attr;
};
typedef struct cs_diropokres cs_diropokres;
bool_t xdr_cs_diropokres();

struct cs_diropres {
	cs_stat status;
	union {
		cs_diropokres diropok;
		long err_context;
	} cs_diropres_u;
};
typedef struct cs_diropres cs_diropres;
bool_t xdr_cs_diropres();

struct cs_readdirargs {
	nfs_fh dir;
	long cookie;
	u_int count;
};
typedef struct cs_readdirargs cs_readdirargs;
bool_t xdr_cs_readdirargs();

struct cs_dirent {
	u_int fileid;
	filename name;
	fattr attr;
	struct cs_dirent *nextentry;
};
typedef struct cs_dirent cs_dirent;
bool_t xdr_cs_dirent();

struct cs_readdirokres {
	cs_dirent *entries;
	bool_t eof;
};
typedef struct cs_readdirokres cs_readdirokres;
bool_t xdr_cs_readdirokres();

struct cs_readdirres {
	cs_stat status;
	union {
		cs_readdirokres readdirok;
		long err_context;
	} cs_readdirres_u;
};
typedef struct cs_readdirres cs_readdirres;
bool_t xdr_cs_readdirres();

struct cs_readargs {
	nfs_fh file;
	u_int offset;
	u_int count;
	u_int totalcount;
	bool_t prefer_bulk;
};
typedef struct cs_readargs cs_readargs;
bool_t xdr_cs_readargs();

struct cs_readokres {
	fattr attr;
	struct {
		u_int data_len;
		char *data_val;
	} data;
};
typedef struct cs_readokres cs_readokres;
bool_t xdr_cs_readokres();

struct cs_readbulkres {
	fattr attr;
	long sin_port;
};
typedef struct cs_readbulkres cs_readbulkres;
bool_t xdr_cs_readbulkres();

struct cs_readres {
	cs_stat status;
	union {
		cs_readokres readok;
		cs_readbulkres readbulk;
		long err_context;
	} cs_readres_u;
};
typedef struct cs_readres cs_readres;
bool_t xdr_cs_readres();

struct cs_geterrargs {
	long err_context;
};
typedef struct cs_geterrargs cs_geterrargs;
bool_t xdr_cs_geterrargs();

struct cs_geterrres {
	cs_stat status;
	union {
		char *err_string;
	} cs_geterrres_u;
};
typedef struct cs_geterrres cs_geterrres;
bool_t xdr_cs_geterrres();

#define CS_PROGRAM ((u_long)300128)
#define CS_VERSION ((u_long)1)
#define CS_PROC_NULL ((u_long)0)
extern void *cs_proc_null_1();
#define CS_PROC_GETPORT ((u_long)1)
extern int *cs_proc_getport_1();
#define CS_PROC_REGISTER ((u_long)2)
extern cs_fhres *cs_proc_register_1();
#define CS_PROC_UNREGISTER ((u_long)3)
extern cs_res *cs_proc_unregister_1();
#define CS_PROC_MOUNT ((u_long)4)
extern cs_res *cs_proc_mount_1();
#define CS_PROC_UMOUNT ((u_long)5)
extern cs_res *cs_proc_umount_1();
#define CS_PROC_LOOKUP ((u_long)6)
extern cs_diropres *cs_proc_lookup_1();
#define CS_PROC_READDIR ((u_long)7)
extern cs_readdirres *cs_proc_readdir_1();
#define CS_PROC_READ ((u_long)8)
extern cs_readres *cs_proc_read_1();
#define CS_PROC_GETVOL ((u_long)9)
extern cs_volres *cs_proc_getvol_1();
#define CS_PROC_GETXFER ((u_long)10)
extern cs_xferres *cs_proc_getxfer_1();
#define CS_PROC_GETUDA ((u_long)11)
extern cs_udares *cs_proc_getuda_1();
#define CS_PROC_GETERR ((u_long)12)
extern cs_geterrres *cs_proc_geterr_1();
