/* 
 * WorldWide File System
 * Copyright (c) 1992,1993 Youki Kadobayashi
 * Copyright (c) 1992,1993 Osaka University
 * All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that the following conditions
 * are met:
 * 1. Both the copyright notice and this permission notice appear in
 *    all copies of the software, derivative works or modified versions,
 *    and any portions thereof, and that both notices appear in
 *    supporting documentation.
 * 2. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the Osaka University
 *      and its contributors.
 * 3. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE DEVELOPER ``AS IS'' AND OSAKA
 * UNIVERSITY DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
 * WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * Osaka University requests users of this software to return to
 *
 *  Youki Kadobayashi
 *  Department of Information and Computer Sciences
 *  Osaka University, Toyonaka 560, Osaka, Japan
 *
 * any improvements or extensions that they make and grant Osaka
 * University the rights to redistribute these changes.
 */
static char *AtFSid = "$Header: dumpvar.c[109.0] Wed Nov 24 03:47:07 1993 youki-k@is.aist-nara.ac.jp saved $";

#include "wfs.h"
#include "util.h"
#include "global.h"

dump_srv(tag, srvp)
char *tag;
wf_srv *srvp;
{
	dlog("%s (n= %s, f= %d, p= %d, a= %s)", tag,
	       srvp->name ? srvp->name : "(NULL)",
	       srvp->sin.sin_family,
	       srvp->sin.sin_port,
	       inet_ntoa(srvp->sin.sin_addr));
	return 0;
}

dump_fh(tag, fhp)
char *tag;
wf_fh *fhp;
{
	dlog("%s (w= %x, pv= %x, d= %x, cv= %x, f= %x)", tag,
	       fhp->world_id,
	       fhp->parent_vol,
	       fhp->dir_id,
	       fhp->child_vol,
	       fhp->file_id);
}

dump_vol(tag, volp)
char *tag;
wf_vol *volp;
{
	dlog("%s (n= %s, i= %ld)", tag,
	       volp->name ? volp->name : "(NULL)",
	       volp->id);
}

dump_dir(tag, dirp)
char *tag;
wf_dir *dirp;
{
	dlog("%s (n= %s, i= %ld, t= %ld)", tag,
	       dirp->name,
	       dirp->id,
	       dirp->ctime);
}

dump_fdset(tag, fdsetp)
char *tag;
fd_set *fdsetp;
{
	int i;

	for (i = 0; i < WF_MAX_SO; ++i) {
		if (FD_ISSET(i, fdsetp)) {
			dlog("%s %d", tag, i);
		}
	}
}
