/* 
 * WorldWide File System
 * Copyright (c) 1992,1993 Youki Kadobayashi
 * Copyright (c) 1992,1993 Osaka University
 * All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that the following conditions
 * are met:
 * 1. Both the copyright notice and this permission notice appear in
 *    all copies of the software, derivative works or modified versions,
 *    and any portions thereof, and that both notices appear in
 *    supporting documentation.
 * 2. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the Osaka University
 *      and its contributors.
 * 3. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE DEVELOPER ``AS IS'' AND OSAKA
 * UNIVERSITY DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
 * WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * Osaka University requests users of this software to return to
 *
 *  Youki Kadobayashi
 *  Department of Information and Computer Sciences
 *  Osaka University, Toyonaka 560, Osaka, Japan
 *
 * any improvements or extensions that they make and grant Osaka
 * University the rights to redistribute these changes.
 */
/* error file system */
static char *AtFSid = "$Header: err.c[109.0] Wed Nov 24 03:47:08 1993 youki-k@is.aist-nara.ac.jp saved $";

#include "wfs.h"
#include "util.h"
#include "global.h"

void
err_getattr(c)
wf_thrd *c;	/* rqstp, volp, fhp */
{
#ifdef DEBUG_ERR
	dlog("err_getattr");
#endif
	(*c->reply)(c, WF_ERR_STALE);
}

void
err_getattr_miss(c)
wf_thrd *c;	/* volp, dirp, filep */
{
#ifdef DEBUG_ERR
	dlog("err_getattr_miss");
#endif
}

void
err_lookup(c)
wf_thrd *c;	/* rqstp, volp, fhp, fname */
{
#ifdef DEBUG_ERR
	dlog("err_lookup");
#endif
	(*c->reply)(c, WF_ERR_NOENT);
}

void
err_lookup_miss(c)
wf_thrd *c;	/* rqstp, volp, fhp, fname, dotdotp */
{
#ifdef DEBUG_ERR
	dlog("err_lookup_miss <%s>", c->fname);
#endif
	(*c->reply)(c, WF_ERR_NOENT);
}

void
err_readlink(c)
wf_thrd *c;	/* rqstp, volp, fhp */
{
#ifdef DEBUG_ERR
	dlog("err_readlink");
#endif
	(*c->reply)(c, WF_ERR_STALE);
}

void
err_read(c)
wf_thrd *c;	/* rqstp, volp, fhp, offset, count, totalcount */
{
#ifdef DEBUG_ERR
	dlog("err_read");
#endif
	(*c->reply)(c, WF_ERR_STALE);
}

void
err_read_miss(c)
wf_thrd *c;	/* rqstp, volp, fhp, offset, count, totalcount */
{
#ifdef DEBUG_ERR
	dlog("err_read_miss");
#endif
	(*c->reply)(c, WF_ERR_STALE);
}

void
err_readdir(c)
wf_thrd *c;	/* rqstp, volp, fhp, cookie, count */
{
#ifdef DEBUG_ERR
	dlog("err_readdir");
#endif
	(*c->reply)(c, WF_ERR_STALE);
}

void
err_readdir_miss(c)
wf_thrd *c;	/* rqstp, volp, fhp, cookie, count, dotdotp, olddirp */
{
#ifdef DEBUG_ERR
	dlog("err_readdir_miss");
#endif
	(*c->reply)(c, WF_ERR_STALE);
}

void
err_getuda(c)
wf_thrd *c;
{
#ifdef DEBUG_ERR
	dlog("err_getuda");
#endif
}

void
err_keepalive(c)
wf_thrd *c;
{
#ifdef DEBUG_ERR
	dlog("err_keepalive");
#endif
}

void
err_close(cp)
wf_conn *cp;
{
#ifdef DEBUG_ERR
	dlog("err_close");
#endif
}

void
err_shutdown(cp, howto)
wf_conn *cp;
int howto;
{
#ifdef DEBUG_ERR
	dlog("err_shutdown");
#endif
}

