/* 
 * WorldWide File System
 * Copyright (c) 1992,1993 Youki Kadobayashi
 * Copyright (c) 1992,1993 Osaka University
 * All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that the following conditions
 * are met:
 * 1. Both the copyright notice and this permission notice appear in
 *    all copies of the software, derivative works or modified versions,
 *    and any portions thereof, and that both notices appear in
 *    supporting documentation.
 * 2. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the Osaka University
 *      and its contributors.
 * 3. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE DEVELOPER ``AS IS'' AND OSAKA
 * UNIVERSITY DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
 * WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * Osaka University requests users of this software to return to
 *
 *  Youki Kadobayashi
 *  Department of Information and Computer Sciences
 *  Osaka University, Toyonaka 560, Osaka, Japan
 *
 * any improvements or extensions that they make and grant Osaka
 * University the rights to redistribute these changes.
 */
/* protocol switch */
static char *AtFSid = "$Header: proto.c[109.0] Wed Nov 24 03:47:15 1993 youki-k@is.aist-nara.ac.jp saved $";

#include "wfs.h"
#include "util.h"
#include "global.h"

void
proto_getattr(c)
wf_thrd *c;
{
	c->proto = pol_select_proto(c->child_volp);
	(*c->proto->wf_getattr)(c);
}

void
proto_lookup(c)
wf_thrd *c;
{
	c->proto = pol_select_proto(c->child_volp);
	(*c->proto->wf_lookup)(c);
}

void
proto_readlink(c)
wf_thrd *c;
{
	c->proto = pol_select_proto(c->child_volp);
	(*c->proto->wf_readlink)(c);
}

void
proto_read(c)
wf_thrd *c;
{
	c->proto = pol_select_proto(c->child_volp);
	(*c->proto->wf_read)(c);
}

void
proto_readdir(c)
wf_thrd *c;
{
	c->proto = pol_select_proto(c->child_volp);
	(*c->proto->wf_readdir)(c);
}

void
proto_getuda(c)
wf_thrd *c;
{
	c->proto = pol_select_proto(c->child_volp);
	(*c->proto->wf_getuda)(c);
}

void
proto_keepalive(c)
wf_thrd *c;
{
	c->proto = pol_select_proto(c->child_volp);
	(*c->proto->wf_keepalive)(c);
}

void
proto_close(cp)
wf_conn *cp;
{
	(*cp->proto->wf_close)(cp);
}

void
proto_shutdown(cp, howto)
wf_conn *cp;
int howto;
{
	(*cp->proto->wf_shutdown)(cp, howto);
}

void
proto_getattr_miss(c)
wf_thrd *c;
{
	(*c->proto->wf_getattr_miss)(c);
}

void
proto_lookup_miss(c)
wf_thrd *c;
{
	(*c->proto->wf_lookup_miss)(c);
}

void
proto_readdir_miss(c)
wf_thrd *c;
{
	(*c->proto->wf_readdir_miss)(c);
}

void
proto_read_miss(c)
wf_thrd *c;
{
	(*c->proto->wf_read_miss)(c);
}
