#!/usr/local/bin/perl
#
$usg = "ctofs:	Convert cache pathname to filesystem pathname.
	It runs only on the host running csd.
Usage:	ctofs <cache-pathnames...>
Example:
	root# ./ctofs.pl /work3/wwfs/cache/3b/5b/yuval.nfs.truncate.patch.Z 
	//bsdi/unsorted/yuval.nfs.truncate.patch.Z
";
# Author: Youki Kadobayashi <youki@wide.ad.jp>
# This file is part of WWFS.
#
require '/etc/csd.pl';
unshift(@INC, "$WWFSDIR/lib");
require 'libmm.pl';

if ($#ARGV < $[) {
    die $usg;
}

foreach $i (@ARGV) {
    $fspath = &mm'ctofs($i);
    if (!defined($fspath)) {
	print $mm'error;
    } else {
	print $fspath, "\n";
    }
}
