#!/usr/local/bin/perl
#
$usg = "mmdir:	Display cached directory.
	A libmm sample program, using 'getnext' this time.
Usage:	mmdir <wwfs-directories...>
Example:
	root# ./mmdir.pl /NetBSD
	.       2       512
	..      2       512
	doc     2       512
	othersrc        2       512
	src     2       512
";
#
# If WW is the right side, MM is the dark side.
# Author: Youki Kadobayashi <youki@wide.ad.jp>
# This file is part of WWFS.
#

require '/etc/csd.pl';
unshift(@INC, "$WWFSDIR/lib");
require 'libmm.pl';

if ($#ARGV < $[) {
    die $usg;
}

foreach $path (@ARGV) {
    &mm'opendir(*DIR, $path) || die $!;
    while (1) {
	@info = &mm'getnext(*DIR);
	last if @info == ();
	print join("\t", @info[0,2,14]), "\n";
    }
    &mm'closedir(*DIR);
}
