/* $Header: libww.h[109.0] Wed Nov 24 03:49:15 1993 youki-k@is.aist-nara.ac.jp saved $ */
/* 
 * WorldWide File System
 * Copyright (c) 1992,1993 Youki Kadobayashi
 * Copyright (c) 1992,1993 Osaka University
 * All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that the following conditions
 * are met:
 * 1. Both the copyright notice and this permission notice appear in
 *    all copies of the software, derivative works or modified versions,
 *    and any portions thereof, and that both notices appear in
 *    supporting documentation.
 * 2. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the Osaka University
 *      and its contributors.
 * 3. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE DEVELOPER ``AS IS'' AND OSAKA
 * UNIVERSITY DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
 * WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * Osaka University requests users of this software to return to
 *
 *  Youki Kadobayashi
 *  Department of Information and Computer Sciences
 *  Osaka University, Toyonaka 560, Osaka, Japan
 *
 * any improvements or extensions that they make and grant Osaka
 * University the rights to redistribute these changes.
 */
/*
 * libww: WWFS Application Programming Interface.
 * This file is part of WWFS, the WorldWide File System.
 *
 * You do not want to include this file if you have spliced libc routines
 * in libc_wwfs.a and you are planning to link your program with it.
 */

#ifndef	__LIBWW_H__
#define	__LIBWW_H__	1

#define	UIP_BLOCK	1	/* arg: (int *), on=1, off=0. default=off */
#define	UIP_PROGRESS	2	/* arg: (int *), on=1, off=0. default=off */

#ifdef	LIBWW			/* libww itself */

#ifdef	RENAME_LIBC		/* If renamesym works */
#define	ww_open		open
#define	ww_fopen	fopen
#define	ww_opendir	opendir
#else	/* RENAME_LIBC */	/* If renamesym doesn't work */
#define	Open	open
#define	Fopen	fopen
#define	Opendir	opendir
#endif	/* RENAME_LIBC */

#else	/* LIBWW */		/* libww clients */
/*
 * the following definitions is only useful if libc splicing hack
 * does not work.
 */
#define	open	ww_open
#define	fopen	ww_fopen
#define	opendir	ww_opendir

extern	int	ww_errno;
#endif	/* LIBWW */

#ifndef __CEXTRACT__
#if __STDC__

extern char * ww_path ( char *path );
extern char * ww_localpath ( char *path );
extern int ww_control ( int optname, void *optval );
extern int ww_get ( char *subpath );
extern int ww_nfsget ( char *path );
#ifndef LIBWW
extern int ww_open ( char *path, int flags, ... );
#endif
#ifdef FILE
extern FILE * ww_fopen (char *filename, char *mode);
#endif
#ifdef DIR
extern DIR * ww_opendir (char *filename);
#endif

#else /* __STDC__ */

extern char * ww_path (/* char *path */);
extern char * ww_localpath (/* char *path */);
extern int ww_control (/* int optname, void *optval */);
extern int ww_get (/* char *subpath */);
extern int ww_nfsget (/* char *path */);
extern int ww_open (/* char *path, int flags, ... */);
#ifdef FILE
extern FILE * ww_fopen (/* char *filename, char *mode */);
#endif
#ifdef DIR
extern DIR * ww_opendir (/* char *filename */);
#endif

#endif /* __STDC__ */
#endif /* __CEXTRACT__ */

#endif	/* !__LIBWW_H__ */

