#!/usr/local/bin/perl
#
# Check out the source tree from AtFS.
#
# Author:	Youki Kadobayashi, Osaka University, Japan
#		E-mail: <youki@wide.ad.jp>
#
# 
# WorldWide File System
# Copyright (c) 1992,1993 Youki Kadobayashi
# Copyright (c) 1992,1993 Osaka University
# All rights reserved.
#
# Permission to use, copy, modify and distribute this software and its
# documentation is hereby granted, provided that the following conditions
# are met:
# 1. Both the copyright notice and this permission notice appear in
#    all copies of the software, derivative works or modified versions,
#    and any portions thereof, and that both notices appear in
#    supporting documentation.
# 2. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
#      This product includes software developed by the Osaka University
#      and its contributors.
# 3. Neither the name of the University nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE DEVELOPER ``AS IS'' AND OSAKA
# UNIVERSITY DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
# WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
#
# Osaka University requests users of this software to return to
#
#  Youki Kadobayashi
#  Department of Information and Computer Sciences
#  Osaka University, Toyonaka 560, Osaka, Japan
#
# any improvements or extensions that they make and grant Osaka
# University the rights to redistribute these changes.

# $Header: release.pl[109.0] Wed Nov 24 03:46:27 1993 youki-k@is.aist-nara.ac.jp saved $
#

require "find.pl";
require "getopts.pl";

do Getopts('dn:v');
$opt_v = 1 if $opt_d;
if ($opt_n) {
    $vlcmd = "vl -n $opt_n";
} else {
    $vlcmd = "vl -lastsaved";
}

$release = `pwd`;
chop $release;
$release .= "/../release";

# Traverse desired filesystems

&find('.');

exit;

sub wanted {
    local ($dev,$ino,$mode,$nlink,$uid,$gid) = lstat($_);
    if (-l $_) {
	# make symbolic link
	$dest = $_;
	$src = readlink($dest);
	print "Creating symbolic link $release/$dest -> $src\n" if $opt_v;
	if (! $opt_d) {
	    unlink("$release/$dir/$dest");
	    symlink($src, "$release/$dir/$dest");
	} else {
	    print "rm $release/$dir/$dest\n";
	    print "ln -s $src $release/$dir/$dest\n";
	}
    }
    elsif (-d $_) {
	next if ($name =~ m|/AtFS|);
	if (! -e "$release/$name") {
	    print "Creating directory $release/$name\n" if $opt_v;
	    mkdir("$release/$name", 0755) unless $opt_d;
	}
    }
    elsif (-f $_) {
	next if ($dir =~ m|/AtFS|);
	$file = `$vlcmd $_`;
	next if ($?);		# no version object?
	print "Retrieving $file\n" if $opt_v;
#	&command("retrv -fq -dest $release/$dir $file");
	&command("retrv -q -dest $release/$dir $file");
	chmod $mode | 0200, "$release/$dir/$_" unless $opt_d;
    }
}

sub command {
    local ($str) = @_;

    if ($opt_d) {
	print $str, "\n";
    } else {
	system($str);
    }
}

