/* 
 * WorldWide File System
 * Copyright (c) 1992,1993 Youki Kadobayashi
 * Copyright (c) 1992,1993 Osaka University
 * All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that the following conditions
 * are met:
 * 1. Both the copyright notice and this permission notice appear in
 *    all copies of the software, derivative works or modified versions,
 *    and any portions thereof, and that both notices appear in
 *    supporting documentation.
 * 2. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the Osaka University
 *      and its contributors.
 * 3. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE DEVELOPER ``AS IS'' AND OSAKA
 * UNIVERSITY DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
 * WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * Osaka University requests users of this software to return to
 *
 *  Youki Kadobayashi
 *  Department of Information and Computer Sciences
 *  Osaka University, Toyonaka 560, Osaka, Japan
 *
 * any improvements or extensions that they make and grant Osaka
 * University the rights to redistribute these changes.
 */
/* amd compatibility */
static char *AtFSid = "$Header: am_compat.c[109.3] Sun Dec 19 02:49:38 1993 youki-k@is.aist-nara.ac.jp saved $";

/* var args */
#ifdef __STDC__
#include <stdarg.h>
#include <stdlib.h>
#else
#include <varargs.h>
#endif

#include <stdio.h>

#ifdef __STDC__
plog(int lvl, char *fmt, ...)
{
	va_list ap;
	va_start(ap, fmt);
	vfprintf(stderr, fmt, ap);
	va_end(ap);
}
#else

void
plog(va_alist)
va_dcl
{
	int lvl;
	char *fmt;

	va_list ap;
	va_start(ap);
	lvl = va_arg(ap, int);
	fmt = va_arg(ap, char *);
	vfprintf(stderr, fmt, ap);
	va_end(ap);
}
#endif /* __STDC__ */

#ifndef DEBUG_MALLOC
#if defined(NeXT) || defined(vax) || defined(ultrix) || defined(sony) || defined(luna)
char *
strdup(str)
char *str;
{
	char *sp;
	int len;

	len = strlen(str);
	sp = (char *) malloc(len+1);
	bcopy(str, sp, len);
	sp[len] = 0;

	return sp;
}
#endif
#endif
